Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
FBufferStruct Struct Reference

`#include <fbuffer.h>`

## Data Fields
unsigned long | initial_length
char * | ptr
unsigned long | len
unsigned long | capa

## Detailed Description

Definition at line 40 of file fbuffer.h.

## Field Documentation

unsigned long FBufferStruct::capa

Definition at line 44 of file fbuffer.h.

Referenced by fbuffer_inc_capa().

unsigned long FBufferStruct::initial_length

Definition at line 41 of file fbuffer.h.

Referenced by fbuffer_alloc(), and fbuffer_inc_capa().

unsigned long FBufferStruct::len

Definition at line 43 of file fbuffer.h.

Referenced by fbuffer_append(), fbuffer_append_char(), fbuffer_clear(), and fbuffer_inc_capa().

char* FBufferStruct::ptr

Definition at line 42 of file fbuffer.h.

Referenced by fbuffer_append(), fbuffer_append_char(), fbuffer_free(), and fbuffer_inc_capa().

The documentation for this struct was generated from the following file:

- ext/json/fbuffer/fbuffer.h